package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttRvBase;
import com.goldenwater.slgc.mapper.AttRvBaseMapper;
import com.goldenwater.slgc.service.RiverService;

/** 河流信息 业务实现 */
@Service
public class RiverServiceImpl implements RiverService {
    @Autowired
    private AttRvBaseMapper attRvBaseMapper;

    @Override
    public List<AttRvBase> selectAttRvBaseList(AttRvBase attRvBase) {
        return attRvBaseMapper.selectAttRvBaseList(attRvBase);
    }

    @Override
    public AttRvBase selectAttRvBaseById(String rvCode) {
        return attRvBaseMapper.selectAttRvBaseById(rvCode);
    }

    @Override
    public int deleteAttRvBaseByIds(String[] rvCodes) {
        return attRvBaseMapper.deleteAttRvBaseByIds(rvCodes);
    }

    @Override
    public int insertAttRvBase(AttRvBase attRvBase) {
        return attRvBaseMapper.insertAttRvBase(attRvBase);
    }

    @Override
    public int updateAttRvBase(AttRvBase attRvBase) {
        return attRvBaseMapper.updateAttRvBase(attRvBase);
    }
}
